{
  "id": "2",
  "name": "开料机台111",
  "createTime":"2021-03-25 08:52:12",
  "creator": 1,
  "updateTime":"2021-03-25 08:52:12",
  "updater": 1,
  "organId": 1,
  "settings": [
    {
      "Type": 1,
      "Setting": {
        "UseWorkPanelSize": true,
        "BoardWidth": 1220,
        "BoardLength": 2750,
        "BoardBorder": 3,
        "BoardBorder_B": 2,
        "CutBorderOff1": 0,
        "CutBorderOff2": 0,
        "KnifeDia": 6,
        "CutGap": 1,
        "OriginPointPosition": 0,
        "WidthSideAxis": 0,
        "LengthSideAxis": 2,
        "LocatorPosition": 0,
        "OffsetX_Board1": 0,
        "OffsetY_Board1": 0,
        "LocatorPosition_Block": 0,
        "OffsetX_Block": 0,
        "OffsetY_Block": 0,
        "scrapBlockSquare": 200,
        "srcapBlockWidthMin": 100,
        "scrapBlockWidthMax": 600,
        "FreeHeight": 10,
        "FreeLocationX": 0,
        "FreeLocationY": 2440,
        "FreeSpeed": 15000,
        "WorkStartHeight": 0,
        "WorkStartSpeed": 3000,
        "WorkStartDistance": 20,
        "WorkPreDistance": 2,
        "WorkSpeed": 8000,
        "WorkCornerSpeed": 3000,
        "WorkEndSpeed": 3000,
        "WorkEndDistace": 25,
        "sameBorderHighSpeed": 55555,
        "innerCornerDistence": 50,
        "innerCornerSpeed": 2222,
        "HoleFreeSpeed": 2400,
        "HoleFirstDepth": 2,
        "HoleFirstSpeed": 800,
        "HoleSpeed": 1200,
        "ModelSpeed": 8000,
        "AllowDoubleHoleFirstSort": true,
        "AutoSortingMinWidth": 150,
        "FirstCutBorderInFaceB": true,
        "TongHoleOnlyOneTime": false,
        "TongHoleUseTwoTime": false,
        "AllowDoubleSplit": false,
        "SplitDepth": 8,
        "LimitDouleSplit": false,
        "DoubleSplitWidth": 100,
        "DoubleSplitLength": 100,
        "SplitBlockSeqIds": "",
        "UseDianZiJuMethod": false,
        "DisposeCutBlock": false,
        "UseNewKnifeModule": false,
        "KnifeIDForHole": 1,
        "Knifes4Hole": "1,",
        "ModelKnifeGroup": [],
        "KnifeList": [
          {
            "KnifeID": 1,
            "KnifeName": "切割刀1",
            "AxleID": 0,
            "AllowCut": true,
            "AllowHole": true,
            "AllowPrevRun": false,
            "Diameter": 6,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 2,
            "KnifeName": "切割刀2",
            "AxleID": 0,
            "AllowCut": true,
            "AllowHole": true,
            "AllowPrevRun": false,
            "Diameter": 5,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 3,
            "KnifeName": "1号排钻刀",
            "AxleID": 0,
            "AllowCut": false,
            "AllowHole": true,
            "AllowPrevRun": false,
            "Diameter": 5,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 4,
            "KnifeName": "2号排钻刀",
            "AxleID": 0,
            "AllowCut": false,
            "AllowHole": true,
            "AllowPrevRun": false,
            "Diameter": 8,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 5,
            "KnifeName": "3号排钻刀",
            "AxleID": 0,
            "AllowCut": false,
            "AllowHole": true,
            "AllowPrevRun": false,
            "Diameter": 10,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 6,
            "KnifeName": "4号排钻刀",
            "AxleID": 0,
            "AllowCut": false,
            "AllowHole": true,
            "AllowPrevRun": false,
            "Diameter": 15,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 7,
            "KnifeName": "5号排钻刀",
            "AxleID": 0,
            "AllowCut": false,
            "AllowHole": true,
            "AllowPrevRun": false,
            "Diameter": 20,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 8,
            "KnifeName": "6号排钻刀",
            "AxleID": 0,
            "AllowCut": false,
            "AllowHole": false,
            "AllowPrevRun": false,
            "Diameter": 0,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 9,
            "KnifeName": "7号排钻刀",
            "AxleID": 0,
            "AllowCut": false,
            "AllowHole": false,
            "AllowPrevRun": false,
            "Diameter": 0,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 10,
            "KnifeName": "8号排钻刀",
            "AxleID": 0,
            "AllowCut": false,
            "AllowHole": false,
            "AllowPrevRun": false,
            "Diameter": 0,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          },
          {
            "KnifeID": 11,
            "KnifeName": "9号排钻刀",
            "AxleID": 0,
            "AllowCut": false,
            "AllowHole": false,
            "AllowPrevRun": false,
            "Diameter": 0,
            "Diameter2": 0,
            "GroupType": "",
            "OffsetX": 0,
            "OffsetY": 0,
            "OffsetZ": 0,
            "VKnifAngle": 0,
            "Speed": 0,
            "PushDepthIncres": "",
            "RunCode": "",
            "SwitchCode": "",
            "StopCode": "",
            "IsAdvanceHole": false,
            "RePlaceKnifeID": 0,
            "AdvanceHoleCode": "",
            "AdvanceHolePoints": [],
            "IsAdvanceHoleGroup": false
          }
        ],
        "ExportOrderPathName": "{0}_{1}_{2}",
        "ExportBoardPathName": "{0}_{2}_{3}",
        "BoardFileA": "{0,#3}_A.nc",
        "BoardFileB": "{0,#3}_B.nc",
        "BlockFile": "{0}.nc",
        "NcFileHead": "",
        "NcFileEnd": "",
        "NcFileHead_B": "",
        "NcFileEnd_B": "",
        "NcFileHead_Block": "",
        "NcFileEnd_Block": "",
        "RegularBlockFilletCurve": false,
        "UnregularBlockFilletCurve": true,
        "DealCircleWithIJ": true,
        "IsTurnOverG2G3": false,
        "AllowNCComments": true,
        "AllowAddGcodeEndChar": false,
        "GcodeEndChar": "",
        "NcFileIsGB2312": false,
        "AllowExportNC_BackFace": true,
        "OneBoardFile": false,
        "AllowExportNC_block": false,
        "AllowExportDataFile": true,
        "AllowExportBoardDxf": false,
        "showTwoWorkSpace": false,
        "showChooseCutKnife": false,
        "showPriorFacing": true,
        "showAutoLoadBoard": false,
        "showHoleGroup": false,
        "showAutoNotePrinter": false,
        "showCustomBlockNo": false,
        "showMachine": false,
        "AllowDoubleWorkSpace": false,
        "SameOriginPointPosition": false,
        "OffsetX_WorkNum2": 0,
        "OffsetY_WorkNum2": 2600,
        "OriginPointPosition2": 0,
        "WidthSideAxis2": 0,
        "LengthSideAxis2": 2,
        "LocatorPosition2": 0,
        "OffsetX_Board2": 0,
        "OffsetY_Board2": 0,
        "AllowCombineNCWithDoubleWorkSpace": false,
        "IsOddNumInWorkSpace1": true,
        "IsHoleBlockInSpace1": true,
        "NcFileHead_WorkSpace2": "",
        "NcFileEnd_WorkSpace2": "",
        "NcFileHead_B_WorkSpace2": "",
        "NcFileEnd_B_WorkSpace2": "",
        "AllowChangeCutKnifeWithThickness": false,
        "AllowChangeCutKnifeWidthID": false,
        "BoardKnifeList": [],
        "IsPriorFacing_RoleNum": 0,
        "DisPloseHoleRole": false,
        "IsIgnore_HolingModeling": false,
        "IsForceHoling_MultiSide_Minimum": true,
        "IgnoreValue_MultiSide_Minimum": 50,
        "IsForceHoling_SingleSide_Minimum": true,
        "IgnoreValue_SingleSide_Minimum": 50,
        "IsForceHoling_SingleSide_Maximum": true,
        "IgnoreValue_SingleSide_Maximum": 2440,
        "IsForceHoling_MultiSide_Maximun": true,
        "IgnoreValue_MultiSide_Maximun": 850,
        "IsForceHoling_UnRegularBlock": true,
        "IsForceHoling_HasModel": false,
        "IsIgnore_Modeling": false,
        "doModel_hasModel": false,
        "doModel_UnRegular": false,
        "doModel_twoSmall": false,
        "doModel_twoSmall_Value": 50,
        "doModel_oneSmall": false,
        "doModel_oneSmall_Value": 50,
        "doModel_twoBig": false,
        "doModel_twoBig_Value": 850,
        "doModel_oneBig": false,
        "doModel_oneBig_Value": 2434,
        "AllowChangeIgnore": false,
        "IsFoceModeling_hasModel": false,
        "IsFoceModeling_SameHoling": false,
        "IsFoceModeling_MultiLine": false,
        "IsForceModeling_Arc": false,
        "IsForceModeling_Through": false,
        "IsPriorFacing_KaiLiaoMian": false,
        "IsPriorFacing_Reverse": false,
        "IsPriorFacing_SingleModel": true,
        "IsPriorFacing_SingleModel_Front": true,
        "IsPriorFacing_DoubleModel": true,
        "IsPriorFacing_DoubleModel_Front": true,
        "IsPriorFacing_SingleHole": true,
        "IsPriorFacing_SingleHole_Front": true,
        "IsPriorFacing_BigHole": true,
        "IsPriorFacing_BigHole_Front": true,
        "IsPriorFacing_DoubleHole": true,
        "IsPriorFacing_DoubleHole_More": true,
        "IsPriorFacing_CustomFunction": "",
        "wr6_OverRun_WdthS": 50,
        "wr6_OverRun_WdthE": 1220,
        "wr6_OverRun_LengthS": 50,
        "wr6_OverRun_LengthE": 2440,
        "wr6_OverRun_hasThroghModel": false,
        "wr6_OverRun_hasThroghModel_r": 30,
        "wr6_OverRun_hasThroghModel_size": 30,
        "wr6_OverRun_UnRegular": false,
        "wr6_OverRun_MaxChamferR": 0,
        "wr6_OverRun_MaxInnerLength": 0,
        "wr6_unModel_all": false,
        "wr6_unModel_isThrogh": true,
        "wr6_unModel_isArc": false,
        "wr6_unModel_checkRadius": false,
        "wr6_unModel_isRadius": "",
        "wr6_unModel_checkName": false,
        "wr6_unModel_isName": "",
        "wr6_unModel_checkDepth": false,
        "wr6_unModel_isDepth": "",
        "wr6_unModel_isVKnifeModel": true,
        "wr6_unModel_is3VModell": true,
        "wr6_unModel_isLaChao": false,
        "wr6_unModel_notLaChao": false,
        "wr6_laChao_maxWidth": 50,
        "wr6_lachao_minLength": 100,
        "wr6_unHole_all": false,
        "wr6_unHole_checkRadius": false,
        "wr6_unHole_isRadius": "",
        "wr6_unHole_checkType": false,
        "wr6_unHole_isType": "",
        "wr6_unHole_checkDepth": false,
        "wr6_unHole_isDepth": "",
        "wr6_unHole_isNoHoleKnife": false,
        "wr6_dragUndo_m2m": false,
        "wr6_dragUndo_m2m_2face": false,
        "wr6_dragUndo_m2h": false,
        "wr6_dragUndo_m2h_2face": false,
        "wr6_dragUndo_h2m": false,
        "wr6_dragUndo_h2m_2face": false,
        "wr6_dragUndo_h2h": false,
        "wr6_dragUndo_h2h_2face": false,
        "wr6_doStyle_1Face": 0,
        "wr6_doStyle_1Face_hole": true,
        "wr6_doStyle_1Face_model": true,
        "wr6_doStyle_2Face": 0,
        "wr6_doStyle_2Face_hole": true,
        "wr6_doStyle_2Face_model": true,
        "wr6_doStyle_2Face_role": "df,cn,mm,bh,mh",
        "wr6_turnFace_roleSeq": "df,mm,bh,mh",
        "IsLoadBoardBeforeFileHead": true,
        "NcLoadBoard": "",
        "NcFileHoleBegin": "",
        "NcFileHoleEnd": "",
        "HolingByKnifeDia": true,
        "NoteAutoPrinter": false,
        "NoteNcName": "print_{0}.nc",
        "NotePicName": "标签/{0}_{1}.bmp",
        "NotePicType": "jpg",
        "NotePicBit": "24",
        "NotePrintOnFaceA": true,
        "NotePositionAvoidHole": true,
        "NoteWidth": 60,
        "NOteHeight": 40,
        "NoteContent": "",
        "NotePushInNcFile": false,
        "NoteGB2312": false,
        "NoteOtherExport": false,
        "NoteOtherFun": "",
        "AllowBlockNo_Note": false,
        "BlockNo_Note": "return obj.BlockNo;",
        "BoardName": "{0}_{1}_{2}_{3}",
        "MinBlockWidth": 10,
        "MinHoleRadius": 1,
        "MinHoleDepth": 1,
        "MinModelDepth": 0,
        "MinModelRadius": 1,
        "MaxBorderThickness": 10,
        "Ignore2in1SideHole": false,
        "Ignore2in1SideHoleGap": 0.01,
        "canReloadPlaceInfo": false,
        "MiniumSpaceSize": 5,
        "NeatenSpaceGap": 0,
        "ResetPositionWithLocator": false,
        "NcNumberFixNumber": 3,
        "NcFileRemoveEmptyLine": true,
        "HoleWaitingCode": "",
        "prevRunActionCount": 5,
        "ShearBorderFaceA": false,
        "AllowOppositeDealChuanHole": false,
        "ManagerPassword": "cftech123456789",
        "Remark": "",
        "WebQueryPageSize": 1000,
        "ExportRootPath": "C:",
        "AllowSelectExportPath": false,
        "AllowExportImage": false,
        "ManualSortingCornerWidth": 2
      }
    },
    {
      "Type": 2,
      "Setting": {
        "companyID": 0,
        "noteName": "标签-宽60mm高40mm",
        "width": 480,
        "height": 312,
        "objects": [
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "板件名称",
            "X": 5,
            "Y": 21,
            "Width": 150,
            "Height": 20,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "背板",
            "DataExpression": "return obj.BlockName;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": 30,
            "FontWeight": 200,
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "center",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "房名柜名",
            "X": 155,
            "Y": 25,
            "Width": 305,
            "Height": 20,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "房间名-柜名",
            "DataExpression": "return obj.RoomName+'-'+obj.BoxName;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": 20,
            "FontWeight": 200,
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "center",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "板材",
            "X": 5,
            "Y": 2,
            "Width": 350,
            "Height": 20,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "18mm-经典檀木-生态板",
            "DataExpression": "return obj.Thickness+'mm-'+obj.Color+'-'+obj.MetrialName;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": 20,
            "FontWeight": 200,
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "center",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 6,
            "ObjcectID": 0,
            "ObjectName": "封边图",
            "X": 25,
            "Y": 163,
            "Width": 80,
            "Height": 60,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "ShowData": true,
            "DataWidth": 8,
            "FontSize": 15,
            "FontWeight": 800,
            "FontFamily": "宋体",
            "ShowCncDict": true,
            "CncDictType": 0,
            "ShowSideHole": false
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "地址",
            "X": 9,
            "Y": 87,
            "Width": 150,
            "Height": 20,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "送货地址",
            "DataExpression": "return obj.ConsigneeAddress;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": 20,
            "FontWeight": 200,
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "center",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 5,
            "ObjcectID": 0,
            "ObjectName": "位置图",
            "X": 181,
            "Y": 120,
            "Width": 258,
            "Height": 79,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "LineHeight": 1,
            "LineColor": "rgb(0,0,0)",
            "FillColor": "rgb(0,0,0)"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "自定义单号",
            "X": 10,
            "Y": 118,
            "Width": 150,
            "Height": 20,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "自定义单号",
            "DataExpression": "return obj.CustomOrderNo;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": "20",
            "FontWeight": 800,
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "center",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "板件备注",
            "X": 13,
            "Y": 250,
            "Width": 455,
            "Height": 20,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "板件备注",
            "DataExpression": "return obj.Remark1+obj.Remark2+obj.Remark3+obj.Remark4+obj.Remark5;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": 15,
            "FontWeight": 800,
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "center",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "反面条码",
            "X": 269,
            "Y": 98,
            "Width": 120,
            "Height": 15,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "B184224052",
            "DataExpression": "return obj.BlockNo;",
            "DisplayType": 0,
            "BarcodeType": "CODE128",
            "FontSize": 20,
            "FontWeight": "400",
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "top",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "翻面条码",
            "X": 181,
            "Y": 211,
            "Width": 275,
            "Height": 39,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return obj.HoleCount_DoFaceB + obj.ModelCount_DoFaceB > 0;",
            "IsVertical": false,
            "DataText": "B184224052",
            "DataExpression": "return obj.BlockNo;",
            "DisplayType": 1,
            "BarcodeType": "CODE128",
            "FontSize": "20",
            "FontWeight": "400",
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "top",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "条码",
            "X": 181,
            "Y": 49,
            "Width": 276,
            "Height": 46,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "B184224052",
            "DataExpression": "return obj.BlockNo;",
            "DisplayType": 1,
            "BarcodeType": "CODE128",
            "FontSize": "20",
            "FontWeight": "400",
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "top",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "成品尺寸",
            "X": 3,
            "Y": 51,
            "Width": 130,
            "Height": 20,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "900*1033.33",
            "DataExpression": "return obj.Length  + '*' + obj.Width;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": 30,
            "FontWeight": "400",
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "top",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "页码",
            "X": 398,
            "Y": 6,
            "Width": 69,
            "Height": 20,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "1页6",
            "DataExpression": "return obj.BoardID + '页' + obj.CutSortID;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": 30,
            "FontWeight": "400",
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "top",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "余料板尺寸",
            "X": 30,
            "Y": 13,
            "Width": 300,
            "Height": 40,
            "Visible": true,
            "IsScrapBlock": true,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "1120.0 * 1560.0",
            "DataExpression": "return obj.Length.toFixed(1)  + '*' + obj.Width.toFixed(1);",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": "40",
            "FontWeight": "400",
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "top",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "余料板编号",
            "X": 30,
            "Y": 54,
            "Width": 300,
            "Height": 40,
            "Visible": true,
            "IsScrapBlock": true,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "编号",
            "DataExpression": "return  obj.BlockNo;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": "40",
            "FontWeight": "400",
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "top",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "余料板颜色",
            "X": 30,
            "Y": 99,
            "Width": 350,
            "Height": 40,
            "Visible": true,
            "IsScrapBlock": true,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "颜色",
            "DataExpression": "return  obj.MetrialName + ' ' + obj.Color ;",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": "40",
            "FontWeight": "400",
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "top",
            "QrcodeErrorRate": "M"
          },
          {
            "Type": 5,
            "ObjcectID": 0,
            "ObjectName": "余料板位置图",
            "X": 30,
            "Y": 145,
            "Width": 218,
            "Height": 80,
            "Visible": true,
            "IsScrapBlock": true,
            "VisibleExpression": "return true;",
            "LineHeight": 1,
            "LineColor": "rgb(0,0,0)",
            "FillColor": "rgb(0,0,0)"
          },
          {
            "Type": 4,
            "ObjcectID": 0,
            "ObjectName": "数据",
            "X": 135,
            "Y": 141,
            "Width": 40,
            "Height": 40,
            "Visible": true,
            "IsScrapBlock": false,
            "VisibleExpression": "return true;",
            "IsVertical": false,
            "DataText": "A",
            "DataExpression": "return obj.BoxName.substr(0,1);",
            "DisplayType": 0,
            "BarcodeType": "CODE39",
            "FontSize": 40,
            "FontWeight": "400",
            "FontFamily": "宋体",
            "TextAlign": "left",
            "TextBaseline": "top",
            "QrcodeErrorRate": "M"
          }
        ]
      }
    },
    {
      "Type": 3,
      "Setting": {
        "BoardBorder": 40,
        "GlobalAlpha": 0.95,
        "WorkSpaceColor": "#6A6C6B",
        "WorkSpaceBorderColor": "#000000",
        "ShowAxis": true,
        "AxisPos": -10,
        "AxisNodeWidth0": 3,
        "AxisNodeWidth1": 5,
        "AxisNodeWidth2": 10,
        "AxisblockFlagWidth": 30,
        "AxisColor": "#8a8c8e",
        "BlockInfoInAxisFont": "bold 16px arial",
        "BlockInfoInAxisColor": "#0000FF",
        "BlockInfoInAxisColor2": "#00FF00",
        "BoardColor": "#FFFFFF",
        "BoardColor2": "#BAE6C7",
        "BoardBorderColor": "#000000",
        "BlockFillColor": "#FFFFFF",
        "BlockFillColor2": "#CFD0D3",
        "BlockFillColor_overLap1": "#FF0000",
        "BlockFillColor_overLap2": "#f391a9",
        "BlockFillColor_draging": "#00FF00",
        "BlockFillColor_closest": "#90d7ec",
        "BlockBorderColor": "#000000",
        "BlockBorderColor2": "#FF0000",
        "BlockBorderWidth": 4,
        "PointFillColor_draging": "#FF0000",
        "PointFillColor_closest": "#0000FF",
        "ModelLineColor": "#BCE7E0",
        "HoleColor": "#007d65",
        "HoleColor2": "#FFFFFF",
        "CutPoint_Radius": 6,
        "PointFillColor_cutPoint": "#FF0000",
        "CutSortID_Radius": 10,
        "CutSortID_font": "18px arial",
        "CutSortID_color": "#0000FF",
        "BlockDirectionShow": true,
        "BlockNoShow": false,
        "BlockNoColor": "#000000",
        "BlockNoFont": "18px arial",
        "BlockSizeShow": false,
        "BlockSizeColor": "#000000",
        "BlockSizeFont": "10px arial",
        "ScrapBlockStrokeColor": "black",
        "ScrapBlockFocusColor": "#D3F767",
        "ScrapPlaceBlock": "#F9F8BE"
      }
    }
  ]
}

